Announcement

Collapse
No announcement yet.

latest easycart updates - 2 problems

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • latest easycart updates - 2 problems

    1: easycart plugin updated but easycart PRO has not updated on 1 of the 2 sites that we run easycart on.
    2: unable to login to wordpress admin following the latest easycart update;
    details: as I maintain 8 websites on a number of hosting accounts I installed "Companion Auto Update" on all the websites WP plugin pages. On the 2 websites that use Easycart both had WP login issues following the automatic update being applied by the new plugin "Companion Auto Update", problem was after entering username and password both sites resulted in a blank screen with /wp-admin on the URL and not going into the WP admin dashboard. First site eventually logged in and on checking the CAU update log it had updated WP-Easycart and WP-Easycart PRO plugins to version 4.0.35, however second site with easycart only updated WP-Easycart and did not update the WP-Easycart PRO plugin. I had to get Hostgator (hosting psupport) to disable the plugin to allow me to login into WP. Also this site has not yet said there is an update for WP-Easycart PRO so it is still running 4.0.33.
    Is this CAU plugin not compatible with Easycart?

    If anyone can suggest another good plugin and theme auto updater then please let me know, All my other sites are still working OK with CAU.

  • #2
    There was a conflict between WP EasyCart 4.0.35 and WP EasyCart PRO 4.0.33. Unfortunately if the regular plugin updated, but the PRO plugin did not, it would cause this. We have patched the WP EasyCart plugin to 4.0.36 to prevent this conflict, you may update one or the other or both to fix this issue.

    Comment


    • #3
      One of the website now will not login to wordpress, as far as I know easycart is on 4.0.35 and easycart PRO is on 4.0.33. just about to get hostgator to try and fix the WP login again.

      Comment


      • #4
        Yes, the pro plugin just needs updating then to 4.0.36. you can even manually upload the pro plugin over the old pro plugin to make it update.

        Comment


        • #5
          Originally posted by jjones View Post
          Yes, the pro plugin just needs updating then to 4.0.36. you can even manually upload the pro plugin over the old pro plugin to make it update.
          Firstly; why do I have 2 plugins what is the difference and why are they both needed? as for updating; WP does not show an update for the PRO plugin and when I search it only shows the main plugin, searching for it outside of Wordpress.org brings nothing up. Please supply a link to update.
          p.s. WP says this plugin is up to date!
          so I have 2 websites with easycart both are now on the following WP Easycart 4.0.36 and WP Easycart PRO on 4.0.35
          Last edited by Adseasycart; 04-19-2018, 12:55 PM.

          Comment


          • #6
            Sorry, so here are the current versions. WP EasyCart is 3.0.36 and WP EasyCart PRO is 3.0.35... you are correct and your 2 websites are current.

            The one plugin is the core and holds 80% of the programming. The PRO plugin is the paid plugin that sites receive and enter a licensed key into and it unlocks the extra functionality such as extra payment gateways, marketing with coupons, promotions, advanced options, editable orders, etc... Both are required if you are running pro or premium.

            only the core plugin is needed if you run the FREE edition. Sounds like you are all correctly setup and updated.

            Comment


            • #7
              Originally posted by jjones View Post
              ...... Both are required if you are running pro or premium. .... only the core plugin is needed if you run the FREE edition. Sounds like you are all correctly setup and updated.
              For info to anybody reading this later, the plugin called "Companion Auto Update" has been re-activated and at present is working fine for me, I know this is nothing to do with and not required for WP Easycart but this is just to say, for now, it works fine with all our plugins (on 8 websites) and Wp Easycart (on 2 websites). Many thanks Josh.

              Comment

              Working...
              X